
local counter = CountDown.new( {
    x           = 64,
    y           = 32,
	scale       = 3,
    alpha       = 1,
	color       = 0x000000,
    font        = nil,
    duration    = 15,
    onComplete  = function() -- This function gets run when the timer gets to zero
      print("complete")
    end,
  } )
  
  stage:addChild(counter)
  counter:start()
  
local function update(e) -- Enter Frame Event
  local dt = e.deltaTime

  counter:update(dt) -- Update counter
  
end

stage:addEventListener(Event.ENTER_FRAME, update)

